module JamRuby
  class NewMusicianEmailer
    extend Resque::Plugins::JamLonelyJob

    @queue = :scheduled_new_musician_emailer
    @@log = Logging.logger[NewMusicianEmailer]

    def self.perform
      @@log.debug("waking up")
      EmailBatchNewMusician.send_new_musician_batch
      @@log.debug("done")
    end

  end
end
